/**
 * Author: S. Smith
 * Revised: February 8, 2008
 *
 * Revised author: O. Huyn
 * Revised: March 19, 2017
 *
 * Description: Full sequence exception
 */

/**
 * @brief An exception for a full sequence.
 */
public class FullSequenceException extends RuntimeException
{
   public FullSequenceException()
   {
     super();
   }
   public FullSequenceException(String reason)
   {
     super(reason);
   }
   public FullSequenceException(int full)
   {
     super("The sequence has reached its full size of " + full);
   }
}
